Subject: Ticket Assigned - Feedback or suggestions
From: Lifestyle <[email-masked]>
To: [email-masked]
Date: Mon, 25 Oct 2021 05:49:54 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions To The Lifestyle GM

I write this because i have been a retailer most of my career and am passionate about it. Also because i have been with the group and i still feel for the image.
I choose not to write directly to the head of the concept or anyone because i prefer to use the normal channels and appreciate that it needs to go through the right chain.
Though the brand has always been known for its excellent customer service, i was very surprised this week when i shopped at Lifestyle after a long time.
On Monday, 11 Oct , I bought fragrance oils and ordered a couple of extra boxes from Centerpoint Mall of emirates. which they will arrange for me soon.  I also bought an eyeliner pencil from Wycon - so far so good. The service was excellent in Mall of emirates.
When i got home and opened the pencil i noticed that it was damaged. the next day since i was at Ibn Batuta, i went there and spoke to the lifestyle girl and asked her to exchange it since it was obviously a manufacturing defect.
I could have easily thrown it into the trash and forgotten about it , but i wanted to make the concept aware so they could check other stocks.
what really put me off & upset me is the attitude of the staff.  They are crude and arrogant not to mention that they have limited knowledge.
First they asked me if i had damaged it, then they asked me why i didn't go to MOE and then they said they cant do anything about it. i left the shop without saying anything .The lady in charge there was Amira or Amina whatever. This is no way to handle a retail complaint. 
The same day we made an exchange to a product from Carrefour which was so smooth and fantastic. Perhaps your staff should learn from them.
The millions spent on advertising is useless unless the staff are trained to handle customers politely. They are ignorant and rude & do not know how to figure out a manufacturing defect from a customer fault.
No matter what the price of the product is, if a staff handles an issue politely and with  finesse, it speaks volumes for the brand.  I am very disappointed that your service standards, staff level and product has gone down so much.  Perhaps it says a lot about how it is managed.

Let us hope this mail reaches the right hands and staff training is carried out regularly.
Best,

Jani Viswanath Jagtiani
050 4284862
050 4551612 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3226135